package com.arms.config;

import com.google.code.kaptcha.impl.DefaultKaptcha;
import com.google.code.kaptcha.util.Config;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Properties;

@Configuration
public class CaptchaConfig {

    @Bean(name="captchaProducer")
    public DefaultKaptcha defaultKaptcha(){
        DefaultKaptcha kaptcha = new DefaultKaptcha();
        Properties properties = new Properties();

        properties.setProperty("kaptcha.border", "yes");

        properties.setProperty("kaptcha.border.color", "105,179,90");

        properties.setProperty("kaptcha.textproducer.font.color", "black");

        properties.setProperty("kaptcha.textproducer.char.space", "5");

        properties.setProperty("kaptcha.textproducer.char.length", "6");

        properties.setProperty("kaptcha.image.width", "400");

        properties.setProperty("kaptcha.image.height", "200");

        Config config = new Config(properties);
        kaptcha.setConfig(config);

        return kaptcha;
    }
}
